Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.model.change
Class OntologyChangeEntityCollector

    java.lang.Object
      |
      +--org.semanticweb.owl.model.change.ChangeVisitorAdapter
            |
            +--org.semanticweb.owl.model.change.OntologyChangeEntityCollector

All Implemented Interfaces:
  ChangeVisitor

public class OntologyChangeEntityCollector
extends ChangeVisitorAdapter

A ChangeVisitor that looks at the change and determines the entities that are used or referred to within the change. Created: Fri Feb 14 09:53:10 2003

Version:
  $Id: OntologyChangeEntityCollector.java,v 1.1.1.1 2003/10/14 17:10:09 sean_bechhofer Exp $

Constructor Summary
`OntologyChangeEntityCollector()`

Method Summary
`Set` | `getEntities()`
`void` | `reset()`
`void` | `visit(AddClassAxiom event)`
`void` | `visit(AddDataPropertyInstance event)`
`void` | `visit(AddDataPropertyRange event)`
`void` | `visit(AddDomain event)`
`void` | `visit(AddEnumeration event)`
`void` | `visit(AddEquivalentClass event)`
`void` | `visit(AddImport event)`
`void` | `visit(AddIndividualAxiom event)`
`void` | `visit(AddIndividualClass event)`
`void` | `visit(AddInverse event)`
`void` | `visit(AddObjectPropertyInstance event)`
`void` | `visit(AddObjectPropertyRange event)`
`void` | `visit(AddPropertyAxiom event)`
`void` | `visit(AddSuperClass event)`
`void` | `visit(AddSuperProperty event)`
`void` | `visit(SetDeprecated event)`
`void` | `visit(SetFunctional event)`
`void` | `visit(SetInverseFunctional event)`
`void` | `visit(SetOneToOne event)`
`void` | `visit(SetSymmetric event)`
`void` | `visit(SetTransitive event)`

Methods inherited from class org.semanticweb.owl.model.change.ChangeVisitorAdapter
`visit, visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OntologyChangeEntityCollector

    public OntologyChangeEntityCollector()

Method Detail

### reset

    public void reset()

### getEntities

    public Set getEntities()

### visit

    public void visit(AddIndividualAxiom event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Overrides:
    `visit` in class `ChangeVisitorAdapter`
  Parameters:
    `event` - an `AddIndividualAxiom` value
  Throws:
    `OWLException` - if an error occurs

### visit

    public void visit(AddClassAxiom event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Overrides:
    `visit` in class `ChangeVisitorAdapter`
    `OWLException`

### visit

    public void visit(AddPropertyAxiom event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Overrides:
    `visit` in class `ChangeVisitorAdapter`
  Parameters:
    `event` - an `AddPropertyAxiom` value
  Throws:
    `OWLException` - if an error occurs

### visit

    public void visit(AddSuperClass event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Overrides:
    `visit` in class `ChangeVisitorAdapter`
    `OWLException`

### visit

    public void visit(AddSuperProperty event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Overrides:
    `visit` in class `ChangeVisitorAdapter`
    `OWLException`

### visit

    public void visit(AddIndividualClass event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Overrides:
    `visit` in class `ChangeVisitorAdapter`
    `OWLException`

### visit

    public void visit(AddEquivalentClass event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Overrides:
    `visit` in class `ChangeVisitorAdapter`
  Parameters:
    `event` - an `AddEquivalentClass` value
  Throws:
    `OWLException` - if an error occurs

### visit

    public void visit(AddEnumeration event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Overrides:
    `visit` in class `ChangeVisitorAdapter`
  Parameters:
    `event` - an `AddEnumeration` value
  Throws:
    `OWLException` - if an error occurs

### visit

    public void visit(AddDomain event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Overrides:
    `visit` in class `ChangeVisitorAdapter`
    `OWLException`

### visit

    public void visit(AddDataPropertyRange event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Overrides:
    `visit` in class `ChangeVisitorAdapter`
    `OWLException`

### visit

    public void visit(AddObjectPropertyRange event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Overrides:
    `visit` in class `ChangeVisitorAdapter`
    `OWLException`

### visit

    public void visit(AddInverse event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Overrides:
    `visit` in class `ChangeVisitorAdapter`
    `OWLException`

### visit

    public void visit(SetFunctional event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Overrides:
    `visit` in class `ChangeVisitorAdapter`
    `OWLException`

### visit

    public void visit(SetTransitive event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Overrides:
    `visit` in class `ChangeVisitorAdapter`
    `OWLException`

### visit

    public void visit(SetSymmetric event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Overrides:
    `visit` in class `ChangeVisitorAdapter`
    `OWLException`

### visit

    public void visit(SetInverseFunctional event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Overrides:
    `visit` in class `ChangeVisitorAdapter`
    `OWLException`

### visit

    public void visit(SetOneToOne event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Overrides:
    `visit` in class `ChangeVisitorAdapter`
    `OWLException`

### visit

    public void visit(SetDeprecated event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Overrides:
    `visit` in class `ChangeVisitorAdapter`
    `OWLException`

### visit

    public void visit(AddObjectPropertyInstance event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Overrides:
    `visit` in class `ChangeVisitorAdapter`
    `OWLException`

### visit

    public void visit(AddDataPropertyInstance event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Overrides:
    `visit` in class `ChangeVisitorAdapter`
    `OWLException`

### visit

    public void visit(AddImport event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Overrides:
    `visit` in class `ChangeVisitorAdapter`
  Parameters:
    `event` - an `AddImport` value
  Throws:
    `OWLException` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb